%define		php_name	php%{?php_suffix}
%define		modname	gnupg
%define		status		stable
Summary:	%{modname} - wrapper around the gpgme library
Summary(pl.UTF-8):	%{modname} - wrapper biblioteki gpgme
Name:		%{php_name}-pecl-%{modname}
Version:	1.3.3
Release:	1
License:	BSD, revised
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	00033067dbe0af126c838498a98886ea
URL:		http://pecl.php.net/package/gnupg/
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	gpgme-devel
BuildRequires:	re2c
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	gpgme >= 1.1.4-2
Requires:	php(core) >= 5.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension provides methods to interact with gnupg. So you can
sign, encrypt, verify directly from PHP.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
To rozszerzenie dostarcza metody współpracy z gnupg. Umożliwia to
podpisywanie, szyfrowanie oraz weryfikację danych z poziomu PHP.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
export CFLAGS="%{rpmcflags} -D_FILE_OFFSET_BITS=64"
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc EXPERIMENTAL README
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Fri Nov 22 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-gnupg.git;a=log;h=master

* Thu Nov 21 2013 Elan Ruusamäe <glen@delfi.ee> 97ebe24
- up to 1.3.3

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 4bd5db9
- support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> a39c8e8
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 4f3a426
- release 2 (by relup.sh)

* Sun Jun 24 2012 Łukasz Kieś <kiesiu@pld-linux.org> e9c5cf5
- obsoleted

* Sun Jun 24 2012 Łukasz Kieś <kiesiu@pld-linux.org> ad9ad8e
- updated to 1.3.2
- gpgme12.patch applied upstream

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 31b3d9d
- release 6

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 8fa3e01
- release 5

* Mon Dec 07 2009 Jan Rękorajski <baggins@pld-linux.org> 9637296
- rel 4
- fix runtime problems with gpgme 1.2.x (segfaults)

* Wed Nov 18 2009 Jan Rękorajski <baggins@pld-linux.org> 0a0ec3a
- rel 3

* Wed Nov 18 2009 Jan Rękorajski <baggins@pld-linux.org> 6506d1c
- gpgme wants LFS

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> ffc1f4d
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Tue May 29 2007 Jan Rękorajski <baggins@pld-linux.org> d6217f2
- rel 2
- R: gpgme that works

* Fri May 25 2007 Jan Rękorajski <baggins@pld-linux.org> e92600b
- up to 1.3.1
- BR re2c

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 3e87112
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> fd2703d
- converted to UTF-8

* Thu Dec 28 2006 Elan Ruusamäe <glen@pld-linux.org> 8f5849e
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 03bc8c7
- rel 2 (php 5.2.0)

* Mon Nov 27 2006 Adam Gołębiowski <adamg@pld-linux.org> c6b0993
- updated to 1.3

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 62da5fc
- BR rpmmacros for fixed %requires_php_extension

